restart;
M*diff(x(t), t, t) = - (alpha*dV/V0 + beta*(dV/V0)^2)*S;

subs(dV = S*x(t), %)/S;
subs(S = Pi*d^2/4, V0 = Pi*d^2*l0/4, %): 
simplify(%, {a^2*4*M*l0 = alpha*Pi*d^2, 
               b*4*M*l0^2 = beta*Pi*d^2}, [alpha, beta]);
eq := %*Pi*d^2/4/M;
alpha*dV/V0 + beta*(dV/V0)^2:
subs(dV = S*x(t), S = Pi*d^2/4, V0 = Pi*d^2*l0/4, %); 
deq := {diff(xa(t), t, t) + a^2*xa(t) = 0,
          xa(0) = 0, D(xa)(0) = v0}:
dsolve(deq, xa(t));
            # initial value problem B 
eqb := diff(xb(t), t, t) + a^2*xb(t) + b*xb(t)^2
       + 2*b*v0*sin(a*t)*xb(t)/a + b*(v0*sin(a*t)/a)^2 = 0;
incondb := xb(0) = 0,D(xb)(0) = 0:
       # determination of Order truncated power series
Order := 12:
solb := dsolve({eqb, incondb}, xb(t), series);
polb := convert(rhs(solb), polynom):
          # experimental constants
alpha := 3.8*10^9:   beta := 30*10^9:  d  := 0.015:
l0    := 0.02:       M    := 5:        v0 := 5:
          # determination of parameter a, b
 a := sqrt(alpha*Pi*d^2/(4*M*l0)):  b := beta*Pi*d^2/(4*M*l0^2):
          # initial value problem B
eqb    := diff(xb(t), t, t) + a^2*xb(t) + b*xb(t)^2 
           + 2*b*v0*sin(a*t)*xb(t)/a + b*(v0*sin(a*t)/a)^2=0:
incondb := xb(0) = 0, D(xb)(0) = 0:
          # numerical solution
numsol := dsolve({eqb, incondb}, xb(t), numeric):
sol    := x -> subs(numsol(x), xb(t) + v0*sin(a*t)/a):
solp   := t-> (sol(t)/l0)*(alpha + beta*(sol(t)/l0))/10^9:
          # estimation of radius of convergence
tm     := min(evalf(sqrt(6)/a),evalf(21/(v0*b))^(1/3),
              evalf(21/(a*b*v0))^(1/4)):
          # saving graphs of numerical solution
X[num] := plot(sol, 0..tm, thickness=3):
P[num] := plot(solp, 0..tm, thickness=3):
          # analytic solution of first equation
xa := v0*sin(a*t)/a:
          # Order of truncated power series approximation 
          # and preparation of graphs
ORD1 := [seq(i, i = 6..10), 12]:
ORD2 := [seq(i, i = 6..10)]:
          # polynomial approximation of 5th - 9th 
          # and 11th degree of  solution
for ord in ORD1 do:
    Order := ord:
    sersol := dsolve({eqb, incondb}, xb(t), series):
    pol := convert(rhs(sersol), polynom):
    sol := pol + xa:
    solp := (sol/l0)*(alpha + beta*sol/l0)/10^9:
          # saving graphs
    X[ord] := plot(sol, t = 0..tm):
    P[ord] := plot(solp, t = 0..tm):
od:
          # display graphs of solutions and pressures
          # numeric and acceptable power series solution
with(plots):
display({X[num], X[12]});
display({P[num], P[12]});
          # comparison of numeric and polynomial solution
display({X[num], seq(X[i], i = ORD2)});
display({P[num], seq(P[i], i = ORD2)});